import quadbase.reportdesigner.ReportAPI.DbData;

import quadbase.reportdesigner.util.IDataSource;
import quadbase.reportdesigner.util.IResultSet;

public class CustomClassDataEDAB implements IDataSource {
	static final long serialVersionUID = 1; 

	// Setting DbData for passing data as arguments
	String dataType[] = {"string", "String", "double"};
	String fieldName[] = {"Destination",  "Time", "Price"};
	String records[][] = {{"Mayfair",  "13:43", "3.50"},
			{"Bond Street", "13:37", "3.75"},
			{"RickmansWorth", "13:12", "5.25"},
			{"Picadilly",  "13:24", "3.00"}};
	DbData data = new DbData(dataType, fieldName, records);

	// implement getResultSet
	public IResultSet getResultSet()
	{
		return data;
	}
}